<%@page import="java.net.URLEncoder"%>
<%@ page language="java" import="java.util.*,java.io.*,com.letousky.lottery.delegate.WinsFlat,com.letousky.lottery.util.TimeUtil,com.letousky.lottery.util.InsiderCenterFormat,com.letousky.lottery.util.CheckCodes" pageEncoding="UTF-8"%>

<%
	StringBuffer sb=new StringBuffer();
	String trnNumber=request.getParameter("id");
	if(trnNumber==null){
		trnNumber = (String)request.getAttribute("id");
	}
	String[] params = new String[]{trnNumber};
	List list=new WinsFlat().chipped_details_SarNo(params);
	Object[] obj=list.toArray();
	String[] detail =  (String[])obj[0];
	String[] details = (String[])obj[obj.length-1];
	InsiderCenterFormat  format  =  new InsiderCenterFormat();
	Map map = new HashMap();
	String isopen = detail[11];
	String lot = detail[10];
	int gameidType = Integer.parseInt(lot);
	String fqtime = detail[29].substring(4,6)+"-"+detail[29].substring(6,8)+" "+detail[29].substring(8,10)+":"+detail[29].substring(10,12)+":"+detail[29].substring(12,14);
	String jztime="";
	if(!detail[37].equals("0"))
	{
		jztime = detail[37].substring(4,6)+"-"+detail[37].substring(6,8)+" "+detail[37].substring(8,10)+":"+detail[37].substring(10,12)+":"+detail[37].substring(12,14);
	}
	String qitime = detail[29].substring(0,4)+"-"+detail[29].substring(4,6)+"-"+detail[29].substring(6,8);
	double jindu = Math.round(Double.parseDouble(detail[28]) / Double.parseDouble(detail[25]) * 100);
	int countFen=Integer.parseInt(detail[25]);
	int shengFen = countFen - Integer.parseInt(detail[28]); //剩余份数 总分数-已购份数
	double shengFenMoney = shengFen * Double.parseDouble(detail[26]);  //剩余份数总金额
	int mz = 0;  //统计命中场数
	String[] uarr=(String[])session.getAttribute("userAry");
	if(uarr==null || !uarr[2].equals(detail[16])){
		detail[16] = "1".equals(detail[43]) ? detail[16].charAt(0)+"*****" : detail[16];
	}
	String way = detail[17];
	String igl = detail[35];
	int  baodi = Integer.parseInt(detail[27]) , dm = 0;
	String baodiStatus = "" , buyStatus = ""  , faStatus = format.getTzType(detail[33]);
	int mzcs = format.getMzcs(gameidType,obj);
	if(shengFen <= 0){
		buyStatus = "已满员";
	}else{
		buyStatus = "抢购中";
	}
	if(baodi <= 0){
		baodiStatus = "未保底";
	}else{
		baodiStatus = "<font color='red'>￥"+(Double.parseDouble(detail[26]) * baodi)+"</font>";
	}
	String lotName = format.getLotteryType(lot);
if(detail[7].indexOf(".txt") != -1 ){
	try{
		Map mapNum = new HashMap();
		String url = detail[7];
		String fo = "" , fj = "";
		StringBuffer numberString  = new StringBuffer();
		if("501".equals(lot) || "502".equals(lot) || "503".equals(lot) || "504".equals(lot) || "511".equals(lot) || "509".equals(lot)){
				fo = ";"; fj = "->";
		}else if("301".equals(lot) || "302".equals(lot) || "303".equals(lot) || "304".equals(lot) || "305".equals(lot)){
				fo = ","; fj = "→";
		}
		BufferedReader  br = new BufferedReader(new InputStreamReader(new FileInputStream(url),"GBK"));
		String r = "";
		while((r=br.readLine())!=null){	
			if(!"".equals(r)){
					numberString.append(r.split("\\s")[0]).append(";");
			}
		}
		numberString = numberString.deleteCharAt(numberString.lastIndexOf(";"));
		if("102".equals(lot) || "103".equals(lot) || "106".equals(lot) || "107".equals(lot)){
			//map = new CheckCodes().SortArray_CT(nbsArr,fj);
		}else{
			String nst = numberString.toString();
		    nst = nst.replaceAll(",",";");
			String[] nbsArr = nst.split("\\;");
			map = new CheckCodes().SortArray(nbsArr,fj);
		}
	}catch (FileNotFoundException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	} catch (IOException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
}

Map issemap=new HashMap();
for(int i=0;i<obj.length;i++)
{
	Object[] o=(Object[]) obj[i];	
	System.out.println(o[1]+"vs"+o[2]);
	System.out.println(o[1]+"vs"+o[29]);
	String issue=null;
	if(o[29]!=null)
	{
	 issue=(String)o[29];
	 issue=issue.substring(0,8);
	 //issue=String.valueOf(Long.parseLong(issue)-1);
	}
	sb.append(o[1]).append("-").append(issue);
	if(i<obj.length-1)
	{
		sb.append(",");
	}
}
String teams=sb.toString();
%>
<%@include file='/common/headtop.jsp' %>
<!-- ======================================投注记录==================================== -->
<SCRIPT type=text/javascript src="<%=request.getContextPath()%>/js/jquery.min.js"></SCRIPT>
<link href="<%=request.getContextPath()%>/letoula/css/hmxq.css" rel="stylesheet" type="text/css" />
<link href="<%=request.getContextPath()%>/letoula/css/top.css" rel="stylesheet" type="text/css" />
<script type='text/javascript' src='<%=request.getContextPath()%>/letoula/js/plugin/library.js'></script>
<script type='text/javascript' src='<%=request.getContextPath()%>/letoula/js/plugin/date_input.js'></script>
<script type='text/javascript'>
		var url = '<%=request.getContextPath()%>';
</script>
<script type='text/javascript' src='<%=request.getContextPath()%>/letoula/js/public.js'></script>
<!-- ======================================投注记录==================================== -->
</head>
<body>
<%@include file='/common/topLine.jsp' %>
<%@include file='/common/nav.jsp' %>
<script type='text/javascript'>
			var userid='<%=userAry[1] %>';
</script>
<div class="row">

    	<div class='hmtitle'>
    		<div class='xname'><b><%=detail[16]%></b><%=lotName%><%=qitime%>期   方案编号：<%=trnNumber%></div>
    		<div class="bshare-custom icon-medium-plus" style='width:300px;margin:10px 10px 0 0px;float:right;'><a class="bshare-qzone" title="分享到QQ空间" href="javascript:void(0);"></a><a class="bshare-sinaminiblog" title="分享到新浪微博" href="javascript:void(0);"></a><a class="bshare-renren" title="分享到人人网" href="javascript:void(0);"></a><a class="bshare-qqmb" title="分享到腾讯微博" href="javascript:void(0);"></a><a class="bshare-douban" title="分享到豆瓣" href="javascript:void(0);"></a><a class="bshare-more bshare-more-icon more-style-addthis" title="更多平台"></a><span class="BSHARE_COUNT bshare-share-count">0</span></div><script type="text/javascript" charset="utf-8" src="http://static.bshare.cn/b/buttonLite.js#style=-1&amp;uuid=&amp;pophcol=2&amp;lang=zh"></script><script type="text/javascript" charset="utf-8" src="http://static.bshare.cn/b/bshareC0.js"></script>
    	</div>
    	<div class='ztbox'>
    		<div class='ztboxL'>
    			
    			<%
    				String dxx_s = "";
    				if("0".equals(isopen) || (userAry!=null && userAry[2].equals(detail[16]))){
    					dxx_s="";
    					if(lotName.equals("竞彩足球胜平负"))
    					dxx_s+="&nbsp;&nbsp;<a target='_blank' class='xqa' href='"+request.getContextPath()+"/jingcai/live?teams="+teams+"'>本方案直播</a>";
    				}
    				if(!"5".equals(detail[33]) && !"-3".equals(detail[33]) && !"0".equals(detail[33]) && !"3".equals(detail[33]) && !"10".equals(detail[33])){
	    				if(!" ".equals(details[5])){
	    					detail[33] = "4";
	    				}
    				}
    				if("0".equals(detail[33]) || "3".equals(detail[33])){
						//发起成功
						out.print("<div class='ztboxlist'><em class='select_s'></em><p class='fqjdt'><span class='fqjd' style='width:50%'></p></span><em></em><p class='fqjdt'><span></span></p><em></em><p class='fqjdt'><span></span></p><em class='select_f'></em></div>");
						out.print("<div class='ztboxlist2'><p>发起<span class='huitxt'>("+fqtime+")</span></p><p style='width:237px;'>出票 </p><p style='width:233px;'>开奖 </p><p style='width:149px;'>派奖<span class='huitxt'></span></p></div>");
					}else if("10".equals(detail[33])){
						//出票成功
						out.print("<div class='ztboxlist'><em class='select_s'></em><p class='fqjdt'><span class='fqjd' style='width:100%'></span></p><em class='select_s'></em><p class='fqjdt'><span class='fqjd' style='width:100%'></span></p><em class='select_f'></em><p class='fqjdt'><span></span></p><em class='select_f'></em></div>");
						out.print("<div class='ztboxlist2'><p>发起<span class='huitxt'>("+fqtime+")</span></p><p style='width:237px;'>出票成功<span class='huitxt'>"+dxx_s+"</span></p><p style='width:233px;'>等待开奖 </p><p style='width:149px;'>等待派奖</p></div>");
					}else if("4".equals(detail[33])){
						//已开奖
						out.print("<div class='ztboxlist'><em class='select_s'></em><p class='fqjdt'><span class='fqjd' style='width:100%'></span></p><em class='select_s'></em><p class='fqjdt'><span class='fqjd' style='width:100%'></span></p><em class='select_s'></em><p class='fqjdt'><span class='fqjd' style='width:50%'></span></p><em class='select_f'></em></div>");
						out.print("<div class='ztboxlist2'><p>发起<span class='huitxt'>("+fqtime+")</span></p><p style='width:237px;'>出票成功<span class='huitxt'>"+dxx_s+"</span></p><p style='width:233px;'>已开奖 </p><p style='width:149px;'>派奖</p></div>");
					}else if("5".equals(detail[33])){
						//已派奖
						out.print("<div class='ztboxlist'><em class='select_s'></em><p class='fqjdt'><span class='fqjd' style='width:100%'></span></p><em class='select_s'></em><p class='fqjdt'><span class='fqjd' style='width:100%'></span></p><em class='select_s'></em><p class='fqjdt'><span class='fqjd' style='width:100%'></span></p><em class='select_s'></em></div>");
						out.print("<div class='ztboxlist2'><p>发起<span class='huitxt'>("+fqtime+")</span></p><p style='width:237px;'>出票成功 <span class='huitxt'>"+dxx_s+"</span></p><p style='width:233px;'>已开奖 </p><p style='width:149px;'>已派奖</p></div>");
					}else if("-3".equals(detail[33])){
						//已撤单 出票失败
						out.print("<div class='ztboxlist'><em class='select_s'></em><p class='fqjdt'><span class='fqjd' style='width:100%'></span></p><em class='select_f'></em><p class='fqjdt'><span class='fqjd' style='width:100%'></span></p><em class='select_f'></em><p class='fqjdt'><span></span></p><em class='select_f'></em></div>");
						out.print("<div class='ztboxlist2'><p>发起<span class='huitxt'>("+fqtime+")</span></p><p style='width:237px;'>出票失败 <span class='huitxt'>(已撤单)</span></p><p style='width:233px;'>开奖 </p><p style='width:149px;'>不派奖<span class='huitxt'>(已经流标)</span></p></div>");
					}
				%>
    			
    		</div>
    	</div>	
    	<div id='hmleft'>
    		<div class='jdt'>
    			<div class='schedule'>
    				<div class='sche'>
    					<span>方案进度：</span>
    					<span style='margin-left:265px;'>方案编号：</span>
    					<strong><%=trnNumber%></strong>
    				</div>
    				<div class='sche'>
    					<div class='jdtd'>
    						<div class='jdtd_n'>
    							<div class='jdtd_x' style='width:<%=jindu%>%;'></div>
    						</div>
    					</div>
    					<span class='jdtd_bl'><%=jindu%>%</span>
    					<span style='margin-left:70px;'>发起时间：<em><%=fqtime%></em></span>
    					<span style='margin-left:40px;'>截止时间：<em><%=jztime%></em></span>
    				</div>
    			</div><!-- schedule over -->
    			<table class='jdt_table' width='100%' cellspacing='0' cellpadding='0'>
    				<colgroup>
    					<col width='15%' />
    					<col width='15%' />
    					<col width='15%' />
    					<col width='15%' />
    				</colgroup>
    				<thead>
    					<tr><th colspan='4' align='left'><span class='tel_zh'>选单<a href="<%=request.getContextPath()%>/letoula/serviceCenter/helpCentre.jsp" target='_blank'>竞彩冠军玩法介绍</a><a href="javascript:void((0)" class='yanqi'>特别提醒：实际奖金以最终出票时为准。</a></span></th></tr>
    					<tr><th>方案金额</th><th>倍数</th><th>过关方式</th><th>税后奖金</th></tr>
    				</thead>
    				<tbody>
    					<tr><td><font color='red'>￥<%=detail[23]%></font>元</td><td><%=detail[24]%></td><td>单关</td><td><font color='red'>￥<%=detail[31]%></font>元</td></tr>
    				</tbody>
    			</table>
    			
    		</div>
    		
    		<div class='faxq'>
    			<%if("0".equals(isopen) || (userAry!=null && userAry[2].equals(detail[16]))){%>
    				<h2>
    					方案详情： 公开
    					<span class='sf_g'>场数:<font color='#cc0000'><%=mzcs%></font> 场,过关方式:单关 <font color='#cc0000' class='way'>8串1</font>,总金额:<font color='#cc0000'>￥<%=detail[23]%></font>元</span>
    				</h2>
    				<%if("501".equals(lot) || "502".equals(lot) || "503".equals(lot) || "504".equals(lot) || "511".equals(lot) || "505".equals(lot) || "506".equals(lot) || "507".equals(lot) || "508".equals(lot)){%>
    					<%if(detail[7].indexOf(".txt") != -1){%>
    						<table width='100%' cellspacing='0' cellpadding='0' class='detal_tab'>
    							<colgroup><col width='50' /><col width='50' /><col width='85' /><col width='75' /><col width='40' /><col width='75' /><col width='185' />
    								<col width='30' /><col width='60' />
    							</colgroup>
    							<thead>
    								<tr><th>编号</th><th>赛事</th><th>比赛时间</th><th>主队</th><th>让球</th><th>客队</th><th>投注内容</th><th>比分</th><th>彩果</th>
    								</tr>
    							</thead>
    							<tbody>
    					<%}else{%>
    						<table width='100%' cellspacing='0' cellpadding='0' class='detal_tab'>
    							<colgroup><col width='50' /><col width='50' /><col width='85' /><col width='75' /><col width='40' /><col width='75' /><col width='185' />
    								<col width='40' /><col width='30' /><col width='60' />
    							</colgroup>
    							<thead>
    								<tr><th>编号</th><th>赛事</th><th>比赛时间</th>
    								<%if("505".equals(lot) || "506".equals(lot) || "507".equals(lot) || "508".equals(lot)){%>
    									<th>客队</th><th>让球</th><th>主队</th>
    								<%}else{%>
    									<th>主队</th><th>让球</th><th>客队</th>
    								<%}%>
    								<th>投注内容[参考奖金指数]</th><th>胆码</th><th>比分</th><th>彩果</th>
    								</tr>
    							</thead>
    							<tbody>
    					<%}%>
    				<%}else if("301".equals(lot) || "302".equals(lot) || "303".equals(lot) || "304".equals(lot) || "305".equals(lot)){%>
    						<%if(detail[7].indexOf(".txt") != -1){%>
	    						<table width='100%' cellspacing='0' cellpadding='0' class='detal_tab'>
    							<colgroup><col width='50' /><col width='50' /><col width='85' /><col width='75' /><col width='40' /><col width='75' /><col width='185' />
    								<col width='40' /><col width='40' /><col width='60' /><col width='60' />
    							</colgroup>
    							<thead>
    								<tr><th>编号</th><th>赛事</th><th>比赛时间</th><th>主队</th><th>让球</th><th>客队</th><th>投注内容</th><th>比分</th><th>彩果</th><th>开奖SP值</th>
    								</tr>
    							</thead>
    							<tbody>
	    					<%}else{%>
	    						<table width='100%' cellspacing='0' cellpadding='0' class='detal_tab'>
    							<colgroup><col width='50' /><col width='50' /><col width='85' /><col width='75' /><col width='40' /><col width='75' /><col width='185' />
    								<col width='40' /><col width='40' /><col width='60' /><col width='60' />
    							</colgroup>
    							<thead>
    								<tr><th>编号</th><th>赛事</th><th>比赛时间</th><th>主队</th><th>让球</th><th>客队</th><th>投注内容[参考奖金指数]</th><th>胆码</th><th>比分</th><th>彩果</th><th>开奖SP值</th>
    								</tr>
    							</thead>
    							<tbody>
	    					<%}%>
    				<%}else if("102".equals(lot) || "103".equals(lot)||"701".equals(lot)){%>
    						<table width='100%' cellspacing='0' cellpadding='0' class='detal_tab'>
    							<colgroup><col width='10%' /><col width='30%' /><col width='85' /><col width='75' /><col width='40' />
    							</colgroup>
    							<thead>
    								<tr><th>场次</th><th>竞彩冠军队</th><th>投注选项</th><th>参考赔率</th><th>彩果</th>
    								</tr>
    							</thead>
    							<tbody>
    				<%}else if("107".equals(lot)){%>
    						<table width='100%' cellspacing='0' cellpadding='0' class='detal_tab'>
    							<colgroup><col width='10%' /><col width='30%' /><col  /><col  /><col width='150' /><col  />
    							</colgroup>
    							<thead>
    								<tr><th>场次</th><th>主客队</th><th>半场</th><th>全场</th><th>参考赔率</th><th>彩果</th>
    								</tr>
    							</thead>
    							<tbody>
    				<%}else if("106".equals(lot)){%>
    						<table width='100%' cellspacing='0' cellpadding='0' class='detal_tab'>
    							<colgroup><col width='10%' /><col width='30%' /><col  /><col  /><col width='150' /><col  />
    							</colgroup>
    							<thead>
    								<tr><th>场次</th><th>主客队</th><th>主场</th><th>客场</th><th>参考赔率</th><th>彩果</th>
    								</tr>
    							</thead>
    							<tbody>
    				<%}else if("509".equals(lot) || "510".equals(lot)){%>
    					
    					<%if(detail[7].indexOf(".txt") != -1){%>
    						<table width='100%' cellspacing='0' cellpadding='0' class='detal_tab'>
    							<colgroup><col width='80' /><col width='50' /><col width='75' /><col width='40' /><col width='75' /><col width='80' />
    								<col width='250' /><col width='60' /><col width='60' />
    							</colgroup>
    							<thead>
    								<tr><th>编号</th><th>赛事</th><th>主队</th><th>让球</th><th>客队</th><th>玩法</th><th>投注选项 </th><th>比分</th><th>彩果</th>
    								</tr>
    							</thead>
    							<tbody>
    					<%}else{%>
    						<table width='100%' cellspacing='0' cellpadding='0' class='detal_tab'>
    							<colgroup><col width='80' /><col width='50' /><col width='75' /><col width='40' /><col width='75' /><col width='80' />
    								<col width='250' /><col width='60' /><col width='60' />
    							</colgroup>
    							<thead>
    								<tr><th>编号</th><th>赛事</th>
    								<%if("510".equals(lot)){%>
    									<th>客队</th><th>让球</th><th>主队</th>
    								<%}else{%>
    									<th>主队</th><th>让球</th><th>客队</th>
    								<%}%>
    								<th>玩法</th><th>投注选项 [参考奖金指数]</th><th>比分</th><th>彩果</th>
    								</tr>
    							</thead>
    							<tbody>
    					<%}%>
    				<%}%>
    				<%
    					String uploadnumber = "";
    					
    						String strc[] = null;
    						String strb[] = null;
    						for(int c = 0 ; c < obj.length ; c++)
    				 		{
    				 			if(c*2+1<=obj.length && (gameidType==106 || gameidType==107)){
	    								strc = (String[])obj[c*2];
	    								strb = (String[])obj[c*2+1];
	    						}else{
	    								strc = (String[])obj[c];
	    						}
	    						if(strc[7].indexOf(".txt") != -1) {
	    							uploadnumber+=strc[5];
	    							if(gameidType==102 || gameidType==103){
	    								out.print("<tr><td>"+strc[0]+"</td><td>"+strc[1]+" VS "+strc[2]+"</td><td style='background-color:rgb(255, 214, 204)'></td><td>"+strc[42]+"</td><td><strong>"+strc[5]+"</strong></td></tr>");
	    							}else if(gameidType==106 || gameidType==107){
	    								out.print("<tr><td>"+strc[0]+"</td><td>"+strc[1]+" VS "+strb[2]+"</td><td style='background-color:rgb(255, 214, 204)'></td><td style='background-color:rgb(255, 214, 204)'></td><td>"+strc[42]+"</td><td><strong>"+strc[5]+"</strong></td></tr>");
	    							}
	                        		if( c == obj.length-1){
	                        			String txtc = strc[7].substring(strc[7].lastIndexOf("/")+1,strc[7].length());
	                        			out.print("<tr><td colspan='9'><a target='_blank' href='uploadTxTShow.jsp?t="+txtc+"&number="+uploadnumber+"'>查看上传方案详情</a></td></tr>");
	                        		}
                        		
	    						}else{
	    				 			String[] x_n = null;
	    				 			if(strc[7].indexOf("//") != -1){
			    						x_n = strc[7].split("//");
			    					}else{
			    						x_n = strc[7].split("/");
			    					}
			    					String css = "";
			    					if(gameidType==102 || gameidType==103|| gameidType==701){
			    						//out.print("gameidType==============="+gameidType);
				    					x_n[0] = x_n[0].equals("9") ? "*" : x_n[0];
				    					String[] numberx_n = x_n[0].split("\\/");
				    					StringBuffer __Ax_n = new StringBuffer();
				    					for(int b=0;b<numberx_n.length;b++){
				    						if(numberx_n[b].indexOf(strc[5]) != -1){
				    							css = "tzzj";
				    							mz++;
				    						}else{
				    							css = "tzxz";
				    						}
				    						__Ax_n.append("<a href='javascript:void(0)' class='"+css+"'>"+numberx_n[b]+"</a>");
				    					}
		    				 			out.print("<tr><td>"+strc[0]+"</td><td>"+strc[1]+"</td><td>"+__Ax_n+"</td><td>"+strc[42]+"</td><td><strong>"+strc[5]+"</strong></td></tr>");
	    				 			}else if(gameidType==106 || gameidType==107){
	    				 				if(c*2+1 <= obj.length){
	    				 					String ccso = "";
				    						StringBuffer __x_nhost = new StringBuffer();
				    						StringBuffer __x_nguest = new StringBuffer();
				    						String[] x_nhost = x_n[c*2].split("\\/");
				    						String[] x_nguest = x_n[c*2+1].split("\\/");
				    						for(int b=0;b<x_nhost.length;b++){
				    							if(x_nhost[b].indexOf(strc[5]) != -1){
				    								css = "tzzj";
				    							}else{
				    								css = "tzxz";
				    							}
				    							__x_nhost.append("<a href='javascript:void(0)' class='"+css+"'>"+x_nhost[b]+"</a>");
				    						}
				    						for(int t=0;t<x_nguest.length;t++){
				    							if(x_nguest[t].indexOf(strc[5]) != -1){
				    								ccso = "tzzj";
				    							}else{
				    								ccso = "tzxz";
				    							}
				    							__x_nguest.append("<a href='javascript:void(0)' class='"+css+"'>"+x_nguest[t]+"</a>");
				    						}
				    						if(x_n[c*2].indexOf(strc[5]) != -1 && x_n[c*2+1].indexOf(strc[5]) != -1)
				    						{
				    							mz++;
				    						}
	    				 					out.print("<tr><td>"+strc[0]+"</td><td>"+strc[1]+" VS "+strb[2]+"</td><td>"+__x_nhost+"</td><td>"+__x_nguest+"</td><td>"+strc[42]+"</td><td><strong>"+strc[5]+"</strong></td></tr>");
	    				 				}//else if(gameidType==106 || gameidType==107){完
	    				 			}
    				 			
    				 			}
    				 		}
    						
    					}else{
    				%>
    				
    				 <%
    				 	String dt = "" ;
    				 	for(int l = 0 ; l < obj.length ; l++)
    				 	{
    				 		String h1="",h2="",h3="",h4="",h5="",sf="";
    				 		String str[] = (String[])obj[l];
    				 		String[] czg = str[5].split("\\,");
    				 		String[] bt_con = str[7].split("/");
    				 		String[] spv_con = str[6].split("/");
    				 		String rfresult = str[5];
    				 		if("1".equals(str[8])){
    								dt = "<strong><font color='red'>√</font></strong>";
    						}else{
    								dt = "X";
    						}
    						String marketName = str[39];
    						if(str[39].length() > 3){
    							marketName = str[39].substring(0,3);
    						}
    						str[3] =str[3].equals(" ") ? "0" : str[3];
    				 %>
    				 	<%if(str[7].indexOf(".txt") != -1) { 
    				 		String tzxxs = map.get(str[0]).toString();
    				 		String cssl = "" , formatNumber = "";
    				 		String[] uploadNumberFortmat = tzxxs.split("\\,");
    				 		Arrays.sort(uploadNumberFortmat);
    				 		if(gameidType!=509 && gameidType!=510){
    				 	%>
    				 		<%
    				 			for(int p = 0 ; p < uploadNumberFortmat.length; p++)
    				 			{
    				 				if(!str[5].equals("已取消")){
	    				 				if(!" ".equals(str[5]) && uploadNumberFortmat[p].indexOf(format.getOverCai(gameidType,str[5])) != -1){
		                        			cssl = "tzzj";
		                        			mz++;
		                        		}else{
		                        			cssl = "tzxz";
		                        		}
	                        		}else{
	                        			cssl = "tzzj";
		                        		mz++;
	                        		}
    				 				formatNumber += "<a href='javascript:void(0)' class='"+cssl+"'>"+format.getBeDoNumber(gameidType,uploadNumberFortmat[p])+"</a>";
    				 			}
	                        	
	                        	if(str[3].equals("null") || str[3].equals(" ")){
	                        		str[3] = "0";
	                        	}
    				 		%>
    				 		<tr>
    							<td><%=str[0]%></td>
                        		<td title="<%=str[39]%>"><%=marketName%></td>
                        		<% if(!str[40].equals("0")){ %>
                        		<td><%=str[40].substring(4,6)+"-"+str[40].substring(6,8)+" "+str[40].substring(8,10)+":"+str[40].substring(10,12)%></td>
                        		<%} %>
                        		<%
	                        					if(gameidType==505 || gameidType==506 || gameidType==507 || gameidType==508)
	                        					{
	                        						out.println("<td><em>"+str[2]+"</em></td><td>"+str[3]+"</td><td><em>"+str[1]+"</em></td>");
	                        					}else{
	                        						out.println("<td><em>"+str[1]+"</em></td><td>"+str[3]+"</td><td><em>"+str[2]+"</em></td>");
	                        					}
	                        				%>
                        		<td><%=formatNumber%></td>
                        		<td><strong><%=str[4]%></storng></td>
                        		<td><strong><%=str[5]%></storng></td>
                        		<%if("301".equals(lot) || "302".equals(lot) || "303".equals(lot) || "304".equals(lot) || "305".equals(lot)){%>
                        			<td><strong><%=str[42]%></strong></td>
                        		<%}%>
                        	</tr>
                        	<%
                        	}else{
                        						for(int k = 0 ; k < uploadNumberFortmat.length ; k++)
                        						{
                        								String cls = "";
                        								if(uploadNumberFortmat[k].indexOf(":")!=-1){
															uploadNumberFortmat[k] = format.getBeDoNumber(502,uploadNumberFortmat[k]);
															str[3] = "0";
                        									if(uploadNumberFortmat[k].equals(czg[1])){
			                        							cls = "tzzj";
			                        							mz++;
			                        						}else{
			                        							cls = "tzxz";
			                        						}
                        									h1 += "<a href='javascript:void(0)' class='"+cls+"'>"+uploadNumberFortmat[k]+"</a>";
														}else if(bt_con[k].indexOf("_")!=-1){
															uploadNumberFortmat[k] = format.getBeDoNumber(504,uploadNumberFortmat[k]);
															str[3] = "0";
															if(uploadNumberFortmat[k].equals(czg[3])){
			                        							cls = "tzzj";
			                        							mz++;
			                        						}else{
			                        							cls = "tzxz";
			                        						}
															h2 += "<a href='javascript:void(0)' class='"+cls+"'>"+uploadNumberFortmat[k]+"</a>";
														}else if(uploadNumberFortmat[k].indexOf("B")!=-1){
															uploadNumberFortmat[k] = format.getBeDoNumber(503,uploadNumberFortmat[k]);
															str[3] = "0";
															if(uploadNumberFortmat[k].equals(czg[2])){
			                        							cls = "tzzj";
			                        							mz++;
			                        						}else{
			                        							cls = "tzxz";
			                        						}
															h3 += "<a href='javascript:void(0)' class='"+cls+"'>"+uploadNumberFortmat[k]+"</a>";
														}else if(uploadNumberFortmat[k].indexOf("R")!=-1){
															uploadNumberFortmat[k] = format.getBeDoNumber(511,uploadNumberFortmat[k]);
															if(uploadNumberFortmat[k].equals(czg[4])){
			                        							cls = "tzzj";
			                        							mz++;
			                        						}else{
			                        							cls = "tzxz";
			                        						}
															h4 += "<a href='javascript:void(0)' class='"+cls+"'>"+uploadNumberFortmat[k]+"</a>";
														}else{
															uploadNumberFortmat[k] = format.getBeDoNumber(501,uploadNumberFortmat[k]);
															str[3] = "0";
															if(uploadNumberFortmat[k].equals(czg[0])){
			                        							cls = "tzzj";
			                        							mz++;
			                        						}else{
			                        							cls = "tzxz";
			                        						}
															h5 += "<a href='javascript:void(0)' class='"+cls+"'>"+uploadNumberFortmat[k]+"</a>";
														}
	                        							
                        						}
                        						
                        						if(str[5].indexOf("null")!=-1){
	    												czg = new String[]{"-","-","-","-","-"};
	    										}
	    										int rows = 0;
    											if(h5.length() > 0){
    												sf+="<tr><td width='119'>胜平负</td><td>"+h5+"</td><td><strong>"+str[4]+"</storng></td><td><strong>"+czg[0]+"</strong></td></tr>";rows++;
    											}
    											if(h4.length() > 0){
    												sf+="<tr><td width='119'>让球胜平负</td><td>"+h4+"</td><td><strong>"+str[4]+"</storng></td><td><strong>"+czg[4]+"</strong></td></tr>";rows++;
    											}
    											if(h3.length() > 0){
    												sf+="<tr><td width='119'>总进球</td><td>"+h3+"</td><td><strong>"+str[4]+"</storng></td><td><strong>"+czg[2]+"</strong></td></tr>";rows++;
    											}
    											if(h2.length() > 0){
    												sf+="<tr><td width='119'>半全场</td><td>"+h2+"</td><td><strong>"+str[4]+"</storng></td><td><strong>"+czg[3]+"</strong></td></tr>";rows++;
    											}
    											if(h1.length() > 0){
    												sf+="<tr><td width='119'>比分</td><td>"+h1+"</td><td><strong>"+str[4]+"</storng></td><td><strong>"+czg[1]+"</strong></td></tr>";rows++;
    											}
    											rows = rows+1;
    											out.print("<tr><td rowspan='"+rows+"'>"+str[0]+"</td><td rowspan='"+rows+"' title='"+str[39]+"'>"+marketName+"</td><td rowspan='"+rows+"'><em>"+str[1]+"</em></td><td rowspan='"+rows+"'>"+str[3]+"</td><td rowspan='"+rows+"'><em>"+str[2]+"</em></td></tr>"+sf);
    											
                        	}
                        	if( l == obj.length-1){
                        						String txt = str[7].substring(str[7].lastIndexOf("/")+1,str[7].length());
                        						out.print("<tr><td colspan='9'><a target='_blank' href='uploadTxTShow.jsp?t="+txt+"'>查看上传方案详情</a></td></tr>");
                        					}
                        	%>
    					<%}else if(gameidType != 509 && gameidType!=510) { %>
	    								<tr>
	    									<td><%=str[0]%></td>
	                        				<td title="<%=str[39]%>"><%=marketName%></td>
	                        				<% if(!str[40].equals("0")){ %>
	                        				<td><%=str[40].substring(4,6)+"-"+str[40].substring(6,8)+" "+str[40].substring(8,10)+":"+str[40].substring(10,12)%></td>
	                        				<%} %>
	                        				<%
	                        					if(gameidType==505 || gameidType==506 || gameidType==507 || gameidType==508)
	                        					{
	                        						out.println("<td><em>"+str[2]+"</em></td><td>"+str[3]+"</td><td><em>"+str[1]+"</em></td>");
	                        					}else{
	                        						out.println("<td><em>"+str[1]+"</em></td><td>"+str[3]+"</td><td><em>"+str[2]+"</em></td>");
	                        					}
	                        				%>
	                        				<td>
	                        				<%
	                        					for(int k = 0 ; k < bt_con.length ; k++)
	                        					{
	                        						bt_con[k] = format.getBeDoNumber(gameidType,bt_con[k]);
	                        						switch(gameidType){
	                        							case 506:
	                        								String[] bifen = str[4].split("\\:");
	                        								if(str[5]!=null&&!str[5].equals(" "))
	                        								{
		                        								String[] rfs = str[5].substring(0,str[5].indexOf(",")).split("\\,");
																String rfss = rfs[0].replaceAll("[^\\x00-\\xff]","");
																if(rfss.indexOf("-") != -1){
																	rfresult = (Integer.parseInt(bifen[1]) - Integer.parseInt(bifen[0])) <  Double.parseDouble(rfss.replace("-","")) ? "主负" : "主胜";
																}else{
																	rfresult = (Integer.parseInt(bifen[0]) - Integer.parseInt(bifen[1])) >  Double.parseDouble(rfss.replace("+","")) ? "主负" : "主胜";
																}
	                        								}
	                        							break;
	                        							case 508:
	                        								//System.out.println(str[4]+"----"+str[42]);
	                        								str[4] = str[42];
	                        								String[] bifen508 = str[4].split("\\:");
	                        								String[] dxs = str[5].substring(0,str[5].length()-1).split("\\,");
															double dxss =  Double.parseDouble(dxs[dxs.length-1].replaceAll("[^\\x00-\\xff]",""));
															int bifensum = Integer.parseInt(bifen508[0])+Integer.parseInt(bifen508[1]);
															rfresult = bifensum > dxss ? "大分" : "小分";
	                        							break;
	                        							default:
	                        							break;
	                        						}
	                        						String cls = "";
	                        						if(bt_con[k].equals(rfresult)){
	                        							cls = "tzzj";
	                        							mz++;
	                        						}else{
	                        							cls = "tzxz";
	                        						}
	                        						if("1".equals(str[8]) && !bt_con[k].equals(rfresult)){
	                        							dm = 1;
	                        						}
	                        						out.print("<a href='javascript:void(0)' class='"+cls+"'>"+bt_con[k]+"["+spv_con[k]+"]</a>");
	                        					}
	                        				%>
	                        				</td>
	                        				<td><%=dt%></td>
	                        				<td><strong><%=str[4]%></storng></td>
	                        				<td><strong><%=rfresult%></storng></td>
	                        				<%if("301".equals(lot) || "302".equals(lot) || "303".equals(lot) || "304".equals(lot) || "305".equals(lot)){%>
	                        					<td><strong><%=str[42]%></strong></td>
	                        				<%}%>
	    								</tr>
	    								
    							  <%}else if(gameidType==509){%>
                        					
                        						
                        						<%
                        						for(int k = 0 ; k < bt_con.length ; k++)
                        						{
                        							
                        								String cls = "";
                        								if(bt_con[k].indexOf(":")!=-1){
															bt_con[k] = format.getBeDoNumber(502,bt_con[k]);
															str[3] = "0";
                        									if(bt_con[k].equals(czg[1])){
			                        							cls = "tzzj";
			                        							mz++;
			                        						}else{
			                        							cls = "tzxz";
			                        						}
                        									h1 += "<a href='javascript:void(0)' class='"+cls+"'>"+bt_con[k]+"["+spv_con[k]+"]</a>";
														}else if(bt_con[k].indexOf("_")!=-1){
															bt_con[k] = format.getBeDoNumber(504,bt_con[k]);
															str[3] = "0";
															if(bt_con[k].equals(czg[3])){
			                        							cls = "tzzj";
			                        							mz++;
			                        						}else{
			                        							cls = "tzxz";
			                        						}
															h2 += "<a href='javascript:void(0)' class='"+cls+"'>"+bt_con[k]+"["+spv_con[k]+"]</a>";
														}else if(bt_con[k].indexOf("B")!=-1){
															bt_con[k] = format.getBeDoNumber(503,bt_con[k]);
															str[3] = "0";
															if(bt_con[k].equals(czg[2])){
			                        							cls = "tzzj";
			                        							mz++;
			                        						}else{
			                        							cls = "tzxz";
			                        						}
															h3 += "<a href='javascript:void(0)' class='"+cls+"'>"+bt_con[k]+"["+spv_con[k]+"]</a>";
														}else if(bt_con[k].indexOf("R")!=-1){
															
															bt_con[k] = format.getBeDoNumber(511,bt_con[k]);
															if(bt_con[k].equals(czg[4])){
			                        							cls = "tzzj";
			                        							mz++;
			                        						}else{
			                        							cls = "tzxz";
			                        						}
															h4 += "<a href='javascript:void(0)' class='"+cls+"'>"+bt_con[k]+"["+spv_con[k]+"]</a>";
														}else{
															bt_con[k] = format.getBeDoNumber(501,bt_con[k]);
															str[3] = "0";
															if(bt_con[k].equals(czg[0])){
			                        							cls = "tzzj";
			                        							mz++;
			                        						}else{
			                        							cls = "tzxz";
			                        						}
															h5 += "<a href='javascript:void(0)' class='"+cls+"'>"+bt_con[k]+"["+spv_con[k]+"]</a>";
														}
                        								
                        							
	                        						
                        						}
                        						%>
                        						<%
                        						
                        								if(str[5].indexOf("null")!=-1){
	    													czg = new String[]{"-","-","-","-","-"};
	    												}
	    												int rows = 0;
    													if(h5.length() > 0){
    														sf+="<tr><td width='119'>胜平负</td><td>"+h5+"</td><td><strong>"+str[4]+"</storng></td><td><strong>"+czg[0]+"</strong></td></tr>";rows++;
    													}
    													if(h4.length() > 0){
    														sf+="<tr><td width='119'>让球胜平负</td><td>"+h4+"</td><td><strong>"+str[4]+"</storng></td><td><strong>"+czg[4]+"</strong></td></tr>";rows++;
    													}
    													if(h3.length() > 0){
    														sf+="<tr><td width='119'>总进球</td><td>"+h3+"</td><td><strong>"+str[4]+"</storng></td><td><strong>"+czg[2]+"</strong></td></tr>";rows++;
    													}
    													if(h2.length() > 0){
    														sf+="<tr><td width='119'>半全场</td><td>"+h2+"</td><td><strong>"+str[4]+"</storng></td><td><strong>"+czg[3]+"</strong></td></tr>";rows++;
    													}
    													if(h1.length() > 0){
    														sf+="<tr><td width='119'>比分</td><td>"+h1+"</td><td><strong>"+str[4]+"</storng></td><td><strong>"+czg[1]+"</strong></td></tr>";rows++;
    													}
    													rows = rows+1;
    													out.print("<tr><td rowspan='"+rows+"'>"+str[0]+"</td><td rowspan='"+rows+"' title='"+str[39]+"'>"+marketName+"</td><td rowspan='"+rows+"'><em>"+str[1]+"</em></td><td rowspan='"+rows+"'>"+str[3]+"</td><td rowspan='"+rows+"'><em>"+str[2]+"</em></td></tr>"+sf);
    												%>
    							<%}else if(gameidType==510){%>
    									<%
                        						for(int k = 0 ; k < bt_con.length ; k++)
                        						{
                        							
                        								String cls = "";
                        								if(bt_con[k].indexOf("D")!=-1){
															bt_con[k] = format.getBeDoNumber(506,bt_con[k]);
															str[3] = "0";
                        									if(bt_con[k].equals(czg[1])){
			                        							cls = "tzzj";
			                        							mz++;
			                        						}else{
			                        							cls = "tzxz";
			                        						}
                        									h1 += "<a href='javascript:void(0)' class='"+cls+"'>"+bt_con[k]+"["+spv_con[k]+"]</a>";
														}else if(bt_con[k].indexOf("B")!=-1){
															bt_con[k] = format.getBeDoNumber(508,bt_con[k]);
															str[3] = "0";
															if(bt_con[k].equals(czg[3])){
			                        							cls = "tzzj";
			                        							mz++;
			                        						}else{
			                        							cls = "tzxz";
			                        						}
															h2 += "<a href='javascript:void(0)' class='"+cls+"'>"+bt_con[k]+"["+spv_con[k]+"]</a>";
														}else if(bt_con[k].length()==1 && ("0".equals(bt_con[k]) || "1".equals(bt_con[k]))){
															bt_con[k] = format.getBeDoNumber(505,bt_con[k]);
															str[3] = "0";
															if(bt_con[k].equals(czg[0])){
			                        							cls = "tzzj";
			                        							mz++;
			                        						}else{
			                        							cls = "tzxz";
			                        						}
															h3 += "<a href='javascript:void(0)' class='"+cls+"'>"+bt_con[k]+"["+spv_con[k]+"]</a>";
														}else{
															bt_con[k] = format.getBeDoNumber(507,bt_con[k]);
															str[3] = "0";
															if(bt_con[k].equals(czg[2])){
			                        							cls = "tzzj";
			                        							mz++;
			                        						}else{
			                        							cls = "tzxz";
			                        						}
															h5 += "<a href='javascript:void(0)' class='"+cls+"'>"+bt_con[k]+"["+spv_con[k]+"]</a>";
														}
                        								
                        							
	                        						
                        						}
                        						%>
                        						<%
                        						
                        								if(str[5].indexOf("null")!=-1){
	    													czg = new String[]{"-","-","-","-"};
	    												}
	    												int rows = 0;
	    												if(h3.length() > 0){
    														sf+="<tr><td width='119'>胜负</td><td>"+h3+"</td><td><strong>"+str[4]+"</storng></td><td><strong>"+czg[0]+"</strong></td></tr>";rows++;
    													}
    													if(h1.length() > 0){
    														sf+="<tr><td width='119'>让分胜负</td><td>"+h1+"</td><td><strong>"+str[4]+"</storng></td><td><strong>"+czg[1]+"</strong></td></tr>";rows++;
    													}
    													if(h5.length() > 0){
    														sf+="<tr><td width='119'>胜分差</td><td>"+h5+"</td><td><strong>"+str[4]+"</storng></td><td><strong>"+czg[2]+"</strong></td></tr>";rows++;
    													}
    													if(h2.length() > 0){
    														sf+="<tr><td width='119'>大小分</td><td>"+h2+"</td><td><strong>"+str[4]+"</storng></td><td><strong>"+czg[3]+"</strong></td></tr>";rows++;
    													}
    													rows = rows+1;
    													out.print("<tr><td rowspan='"+rows+"'>"+str[0]+"</td><td rowspan='"+rows+"' title='"+str[39]+"'>"+marketName+"</td><td rowspan='"+rows+"'><em>"+str[2]+"</em></td><td rowspan='"+rows+"'>"+str[3]+"</td><td rowspan='"+rows+"'><em>"+str[1]+"</em></td></tr>"+sf);
    												%>
    							<%}%>
    					<%}%>
    				<%}%>
    				</tbody>
    			</table>
    			<%if("1".equals(isopen)&&(userAry!=null &&!userAry[2].equals(detail[16]))){%>
    				<h2>
    					方案详情：<font color='red'>保密</font>
    					<%
    					  if(gameidType!=102 && gameidType!=103 && gameidType!=106 && gameidType!=107){
    						//mz 命中场数统计
    						for(int b = 0 ; b < obj.length ; b++)
    				 		{
    				 			String strbm[] = (String[])obj[b];
    				 			String[] czg = strbm[5].split("\\,");
    				 			String[] bt_conbm = strbm[7].split("/");
    				 			for(int t = 0 ; t < bt_conbm.length ; t++)
    				 			{		
    				 				if(gameidType!=509 && gameidType!=510 ){
    				 					
    				 					if(strbm[7].indexOf(".txt")!=-1)
    				 					{
    				 						String _num = map.get(strbm[0]).toString();
    				 						if(_num.indexOf(strbm[5])!=-1){
                        						mz++;
                        					}
    				 					}else{
	    				 					bt_conbm[t] = format.getBeDoNumber(gameidType,bt_conbm[t]);
	                        				if(bt_conbm[t].equals(strbm[5])){
	                        					mz++;
	                        				}
	                        				if("1".equals(strbm[8]) && !bt_conbm[t].equals(strbm[5])){
	                        					dm = 1;
	                        				}
                        				}
    				 				}else
    				 				{
    				 					if(strbm[7].indexOf(".txt")!=-1){
    				 						bt_conbm = map.get(strbm[0]).toString().split(",");
    				 					}
    				 					if(bt_conbm[t].indexOf(":")!=-1){
											bt_conbm[t] = format.getBeDoNumber(502,bt_conbm[t]);
                        					if(bt_conbm[t].equals(czg[1])){
			                        				mz++;
			                        		}
											}else if(bt_conbm[t].indexOf("_")!=-1){
											bt_conbm[t] = format.getBeDoNumber(504,bt_conbm[t]);
											if(bt_conbm[t].equals(czg[3])){
			                        				mz++;
			                        		}
											}else if(bt_conbm[t].indexOf("B")!=-1){
											bt_conbm[t] = format.getBeDoNumber(503,bt_conbm[t]);
											if(bt_conbm[t].equals(czg[2])){
			                        			mz++;
			                        		}
											}else if(bt_conbm[t].indexOf("R")!=-1){
											bt_conbm[t] = format.getBeDoNumber(511,bt_conbm[t]);
											if(bt_conbm[t].equals(czg[4])){
			                        			mz++;
			                        		}
											}else{
											bt_conbm[t] = format.getBeDoNumber(501,bt_conbm[t]);
												if(bt_conbm[t].equals(czg[0])){
			                        			mz++;
			                        		}
										}
    				 				}
                        		}
                        					
    				 		}
    				 		
    				 	}
    					%>
    					
    				</h2>
    			<%}%>
    		</div>
    		<%if(gameidType!=102 && gameidType!=103 && gameidType!=106 && gameidType!=107){%>
    		<table class='jdt_table' width='100%' cellspacing='0' cellpadding='0'>
    				<colgroup>
    					<col width='15%' />
    					<col width='15%' />
    					<col width='15%' />
    					<col width='15%' />
    				</colgroup>
    				<thead>
    					<tr><th colspan='4' align='left'><span class='tel_zh'>组合过关</span></th></tr>
    					<tr><th>投注场数</th><th>设定条件</th><th>命中场数</th><th>正确与否</th></tr>
    				</thead>
    				<tbody>
    					<tr><td><%=mzcs%></td><td>最少中<font class='minc'>1</font>场</td><td><%=mz%>场</td><td class='why'></td></tr>
    				</tbody>
    			</table>
    			<table class='jdt_table' width='100%' cellspacing='0' cellpadding='0'>
    				<colgroup>
    					<col />
    					<col />
    					<col />
    					<col />
    					<col />
    					<col />
    					<col />
    				</colgroup>
    				<thead>
    					<tr><th colspan='6' align='left'><span class='tel_zh'>过关统计</span></th></tr>
    					<tr><th>场数</th><th>过关方式</th><th>倍数</th><th>中奖注数</th><th>奖金</th><th>中奖情况</th></tr>
    				</thead>
    				<tbody>
    					<tr><td><%=mzcs%></td><td>单关</td><td><%=detail[24]%></td><td><%=detail[30]%></td><td><font color='red'>￥<%=detail[31]%></font>元</td><td class='whyzj'></td></tr>
    				</tbody>
    			</table>
    			<%}%>
    		<div class='yh_tab'>
    			<ul>
    				<li class='hovertab4'>所有合买用户</li>
    				<li>我的认购记录</li>
    			</ul>
    			<div class='show_list_d'>
    				<table cellspacing='0' width='100%' cellpadding='0' id='rglb' class='list_table'>
    						<colgroup>
    							<col width='39' />
    							<col width='119'/>
    							<col width='99' />
    							<col width='99' />
    							<col width='159' />
    						</colgroup>
    						<thead>
    							<tr>
    								<th>序号</th>
    								<th>用户名</th>
    								<th>购买金额</th>
    								<th>比例</th>
    								<th>参与时间</th>
    								<th>奖金</th>
    							</tr>
    						</thead>
    						<tbody class='countList'>
    							
    						</tbody>
    				</table>
    				<table cellspacing='0' width='100%' cellpadding='0' class='list_table' style='display:none;'>
    						<colgroup>
    							<col width='39' />
    							<col width='119'/>
    							<col width='99' />
    							<col width='99' />
    							<col width='159' />
    						</colgroup>
    						<thead>
    							<tr>
    								<th>序号</th>
    								<th>用户名</th>
    								<th>购买金额</th>
    								<th>比例</th>
    								<th>参与时间</th>
    								<th>奖金</th>
    							</tr>
    						</thead>
    						<tbody class='myList'>
    							
    						</tbody>
    				</table>
    						
    				<div class='page'>
    						<span class='f_an_page'>
    								
    						</span>
    				</div>
    			</div>
    		</div>
    	</div>
    	<div id='hmright'>
    		
    		<table class='pepol_tab' width='100%' cellspacing='0' cellpadding='0'>
    			<colgroup>
    				<col width='84' />
    				<col width='190' />
    			</colgroup>
    			<tbody>
    				<tr><td>发起人</td><td class='bas'><a href="#"><%=detail[16]%></a></td></tr>
    				<tr><td>战    绩</td><td class='bas basZhanJi'>--</td></tr>
    				<tr><td>跟单定制</td><td class='bas'><!--<a href="<%=request.getContextPath()%>/letoula/useraccount/index.jsp?url=usertouzhu/anther_single.jsp&u=<%=detail[15]%>" target='_blank' class='bss'>我要定制</a>--><font color='red'><%=detail[41]%>人</font></td></tr>
    				<%if(userAry!=null && userAry[2].equals(detail[16])){%>
    					<tr><td>方案保密状态</td><td class='bas'><span class='updateOpen'><select id='isopensel' onchange='isopenchange(this,"<%=trnNumber%>")'>
    						<%	
    							if("0".equals(isopen)){
    								out.print("<option value='0' selected='selected'>公开</option><option value='1'>隐藏</option>");
    							}else{
    								out.print("<option value='0' >公开</option><option value='1' selected='selected'>隐藏</option>");
    							}
    						%>
    					</select></span><span class='isopens'>方案状态修改成功<font color='red'>√</font></span></td></tr>
    				<%}%>
    			</tbody>
    		</table>
    		<input type="hidden" class="l_name" value="<%=request.getSession().getAttribute("uName")%>" />
    	</div>
    </div>
  </div>
</div>

<div class="tips_m" style="width:500px; " id="blk2">
    <div class="tips_b">
         <div class="tips_box">
         	<div class="tips_title">
                 <h2>温馨提示</h2>
             </div>
             <div class='alert_c'>
             	<div class='state error'>
             		<span class='eroorMsg'>您好，请选择过关方式！</span>
             	</div>
             </div>
             <div class='tips_sbt'>
             	<input type='button' class='btn_Dora_b' id='yclass_alert_ok' onclick="over_t('blk2','h')" value='确   定' />
             </div>
         </div>
    </div>
</div> 

</div>
<%@include file='/common/footer.jsp' %>

 <script type='text/javascript'>
		var AG = {
			user:function(){
				if($('.l_name').val() == ''){
					return '';
				}else{
					return $('.l_name').val();
				}
			},
			Trading:'<%=trnNumber%>',
			way:'<%=way%>',
			gameid:'<%=lot%>',
			countFen:'<%=countFen%>',
			shengFen:'<%=shengFen%>',
			igl: '<%=igl%>',
			mz:'<%=mz%>',
			dm:'<%=dm%>'
		};
		
		var record_ZJ = create_class.Record_zhanJ(AG.igl);
		
		$('.basZhanJi').html(record_ZJ);
		var way =  AG.way.split(',');
		var tzway = '';
		switch(AG.gameid){
			case '301':
			case '302':
			case '303':
			case '304':
			case '305':
				for(var s=0;s<way.length;s++){
		 			tzway+=DC_McN_Map[way[s]]+'/';
		 		}
		 	break;
		    case '501':
		    case '502':
		    case '503':
		    case '504':
		    case '505':
		    case '506':
		    case '507':
		    case '508':
		    case '509':
		    case '510':
		    case '511':
		    	for(var s=0;s<way.length;s++){
		 			tzway+=McN_Map[way[s]]+'/';
		 		}
		 	break;
		 	case '102':
		 	case '103':
		 	case '106':
		 	case '107':
		 		tzway = Game_Map[AG.way];
		 	break;
		 	
		}
		if(tzway.lastIndexOf('/') != -1){
		 	tzway=tzway.substring(0,tzway.lastIndexOf('/'));
		 }
		 $('.way').text(tzway);
		 var mincs = tzway.split('/')[0];
		 var minZ = typeMap['r'+mincs.charAt(0)+'c'+mincs.charAt(2)][0].charAt(0);
		 $('.minc').text(minZ);
		 if(parseInt(AG.mz)>=parseInt(minZ) && parseInt(AG.dm)==0){
		 	$('.why').html("<span style='font-weight:bold;font-size:12px;;color:#f00;line-height:20px;'>√</span>");
		 	$('.whyzj').text("已中奖");
		 }else{
		 	$('.why').text("x");
		 	$('.whyzj').text("未中奖");
		 }

	</script>
 <script type='text/javascript' src='<%=request.getContextPath()%>/letoula/js/details.js'></script>

